
#ifndef CAR_H_INCLUDED
#define CAR_H_INCLUDED

// car types
#define CAR_TYPE_PLAYER 0

// the max speed
#define CAR_MAX_SPEED 90

class Car {

 public:

	// the car type
	int type;

	// pointer to the road slice buffer (24.8 FP), to the place where the car is
	int fPY;

	// the horizontal (24.8 FP) position on the road
	int fPX;

	// the speed the car moves forward on the road
	int speed;

	// the frame timer for animation
	int frameTimer;

 public:

	Car(int type);
	~Car(void);

	// reset
	void reset(void);
};

#endif
